import type { UmbPropertyTypeContainerMergedModel } from '../../../types.js';
import { nothing } from '../../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../../core/lit-element/index.js';
import type { ManifestWorkspaceViewContentTypeDesignEditorKind, UmbWorkspaceViewElement } from '../../../../../core/workspace/index.js';
export declare class UmbContentTypeDesignEditorElement extends UmbLitElement implements UmbWorkspaceViewElement {
    #private;
    set manifest(value: ManifestWorkspaceViewContentTypeDesignEditorKind);
    private _compositionRepositoryAlias?;
    private _hasRootProperties;
    private _hasRootGroups;
    private _routes?;
    private _tabs?;
    private _routerPath?;
    private _activePath;
    private _sortModeActive?;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    renderTabsNavigation(): import("lit-html").TemplateResult<1> | undefined;
    renderRootTab(): typeof nothing | import("lit-html").TemplateResult<1>;
    renderTab(tab: UmbPropertyTypeContainerMergedModel): import("lit-html").TemplateResult<1>;
    renderTabInner(tab: UmbPropertyTypeContainerMergedModel, tabActive: boolean, ownedTab: boolean): import("lit-html").TemplateResult<1>;
    renderDeleteFor(tab: UmbPropertyTypeContainerMergedModel): import("lit-html").TemplateResult<1>;
    destroy(): void;
    static styles: import("lit").CSSResult[];
}
export default UmbContentTypeDesignEditorElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-content-type-design-editor': UmbContentTypeDesignEditorElement;
    }
}
